Subject: [Softwires] [Errata Verified] RFC6333 (6584)

From: RFC Errata System <[email-masked]>
Date: Mon, 17 May 2021 01:42:31 -0700 (PDT)

The following errata report has been verified for RFC6333,
"Dual-Stack Lite Broadband Deployments Following IPv4 Exhaustion". 

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6584

--------------------------------------
Status: Verified
Type: Editorial

Reported by: Mohamed Boucadair <[email-masked]>
Date Reported: 2021-05-17
Verified by: Eric Vyncke (IESG)

Section: 6.3

Original Text
-------------
   As noted previously, fragmentation and reassembly need to be taken
   care of by the tunnel endpoints.  As such, the AFTR MUST perform
   fragmentation and reassembly if the underlying link MTU cannot
   accommodate the encapsulation overhead.  Fragmentation MUST happen
   after the encapsulation on the IPv6 packet.  Reassembly MUST happen
                           ^^^^^^^^^^^^^^^^^^
   before the decapsulation of the IPv6 header.  A detailed procedure
   has been specified in [RFC2473] Section 7.2.

Corrected Text
--------------
   As noted previously, fragmentation and reassembly need to be taken
   care of by the tunnel endpoints.  As such, the AFTR MUST perform
   fragmentation and reassembly if the underlying link MTU cannot
   accommodate the encapsulation overhead.  Fragmentation MUST happen
   after the IPv6 encapsulation.  Fragmentation MUST happen after the encapsulation of the
   IPv4 packet in the IPv6 packet.  Reassembly of the IPv6 packet MUST happen before the decapsulation of the
   IPv4 packet.  A detailed procedure has been specified in [RFC2473]
   Section 7.2 following point b) and ignoring the DF-bit setting.

Notes
-----
The original text is confusing as it seems to assume an extra encapsulation on the IPv6 packet, while this should be about adding an IPv6 header to an IPv4 packet.

-- verifier notes --
Following the discussion in https://mailarchive.ietf.org/arch/msg/softwires/bBQT97R7p1Ho4cUZIP2MFU5ZYJ4/ , the original intent is to avoid fragmenting the IPv4 packet before encapsulation.
See also errata 5874 on section 5.3 (the submitter's proposal has been updated by the verifier to be consistent with errata 5874).

--------------------------------------
RFC6333 (draft-ietf-softwire-dual-stack-lite-11)
--------------------------------------
Title               : Dual-Stack Lite Broadband Deployments Following IPv4 Exhaustion
Publication Date    : August 2011
Author(s)           : A. Durand, R. Droms, J. Woodyatt, Y. Lee
Category            : PROPOSED STANDARD
Source              : Softwires
Area                : Internet
Stream              : IETF
Verifying Party     : IESG